package com.jkcredit.invoice.model.entity.invoice;

/**
 * 自有车申请记录
 */
public class SelfCarAppl {
    private Long id;
    /**
     * 客户号
     */
    private String customId;

    /**
     * 公司编号
     */
    private String companyNum;

    /**
     * etc卡号
     */
    private String cardId;
    /**
     * 申请Id
     */
   private String applId;
    /**
     * 发票数量
     */
   private Integer invoiceCount;

    /**
     * 发票金额
     */
   private long invoiceAmount;

    /**
     * 发票税额
     */
   private long invoiceTaxAmount;

    /**
     * 申请时间
     */
   private String applTime;

    /**
     * 是否已经取票 0 -未取票 1-已经取票
     * @return
     */
    private Integer voiceFlag =0;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getApplId() {
        return applId;
    }

    public void setApplId(String applId) {
        this.applId = applId;
    }

    public Integer getInvoiceCount() {
        return invoiceCount;
    }

    public void setInvoiceCount(Integer invoiceCount) {
        this.invoiceCount = invoiceCount;
    }

    public long getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(long invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public long getInvoiceTaxAmount() {
        return invoiceTaxAmount;
    }

    public void setInvoiceTaxAmount(long invoiceTaxAmount) {
        this.invoiceTaxAmount = invoiceTaxAmount;
    }

    public String getApplTime() {
        return applTime;
    }

    public void setApplTime(String applTime) {
        this.applTime = applTime;
    }

    public String getCustomId() {
        return customId;
    }

    public void setCustomId(String customId) {
        this.customId = customId;
    }

    public Integer getVoiceFlag() {
        return voiceFlag;
    }

    public void setVoiceFlag(Integer voiceFlag) {
        this.voiceFlag = voiceFlag;
    }
}
